System 2.0.0.0 4.0.0.0 System.Object System.Collections.Generic.ICollection<System.Net.NetworkInformation.UnicastIPAddressInformation> System.Collections.Generic.IEnumerable<System.Net.NetworkInformation.UnicastIPAddressInformation> To be added.

Stores a set of types.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Throws a because this operation is not supported for this collection.

  The object to be added to the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Throws a because this operation is not supported for this collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Checks whether the collection contains the specified object.

  true if the object exists in the collection; otherwise, false.

  The object to be searched in the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The array parameter must be one-dimensional with zero-based indexing.

  Copies the elements in this collection to a one-dimensional array of type .

  A one-dimensional array that receives a copy of the collection. The zero-based index in at which the copy begins.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of types in this collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Collections.Generic.IEnumerator<System.Net.NetworkInformation.UnicastIPAddressInformation>

  The object that is returned by this method is initially positioned before the first element in this collection. You must call the method before you can access the first element. To access the element at the current position, call the property.

  Do not modify the collection while using the enumerator. If the collection is modified while an enumerator is in use, an attempt to set the position by calling or causes an .

  For a detailed description of enumerators, see the documentation for the class and the method.

  Returns an object that can be used to iterate through this collection.

  An object that implements the interface and provides access to the types in this collection.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether access to this collection is read-only.

- Property
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.UnicastIPAddressInformation `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Throws a because the collection is read-only and elements cannot be removed.

  Always throws a .

  The object to be removed.
- Method
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator

  The object that is returned by this method is initially positioned before the first element in this collection. You must call the method before you can access the first element. To access the element at the current position, call the property.

  Do not modify the collection while using the enumerator. If the collection is modified while an enumerator is in use, an attempt to set the position by calling or causes an .

  For a detailed description of enumerators, see the documentation for the class and the method.

  Returns an object that can be used to iterate through this collection.

  An object that implements the interface and provides access to the types in this collection.